Bug 153037 - GtkDeprecationWarning: gtk.FALSE, gtk.TRUE
GtkDeprecationWarning: gtk.FALSE, gtk.TRUE
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-date (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-31 22:50 EST by Ricky Ng-Adam
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-01 04:57:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix the warnings (10.58 KB, patch)
2005-04-01 00:19 EST, Colin Charles
no flags Details | Diff

  None (edit)
Description Ricky Ng-Adam 2005-03-31 22:50:10 EST
Description of problem:

/usr/lib/python2.4/site-packages/gtk-2.0/gnome/canvas.py:4: DeprecationWarning:
Module gnome.canvas is deprecated; please import gnomecanvas instead
  DeprecationWarning)
/usr/share/system-config-date/Clock.py:31: GtkDeprecationWarning: gtk.FALSE is
deprecated, use False instead
  self.pack_start(self.hour, gtk.FALSE)
/usr/share/system-config-date/Clock.py:32: GtkDeprecationWarning: gtk.FALSE is
deprecated, use False instead
  self.pack_start(gtk.Label(":"), gtk.FALSE)
/usr/share/system-config-date/Clock.py:33: GtkDeprecationWarning: gtk.FALSE is
deprecated, use False instead
  self.pack_start(self.minute, gtk.FALSE)
/usr/share/system-config-date/Clock.py:34: GtkDeprecationWarning: gtk.FALSE is
deprecated, use False instead
  self.pack_start(gtk.Label(":"), gtk.FALSE)
/usr/share/system-config-date/Clock.py:35: GtkDeprecationWarning: gtk.FALSE is
deprecated, use False instead
  self.pack_start(self.second, gtk.FALSE)
/usr/share/system-config-date/timezone_map_gui.py:47: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  gtk.VBox.__init__(self, gtk.FALSE, 5)
/usr/share/system-config-date/timezone_map_gui.py:64: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.pack_start(self.canvas, gtk.FALSE, gtk.FALSE)
/usr/share/system-config-date/timezone_map_gui.py:81: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  points=(0.0, 0.0, 0.0, 0.0))
/usr/share/system-config-date/timezone_map_gui.py:81: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  points=(0.0, 0.0, 0.0, 0.0))
/usr/share/system-config-date/timezone_map_gui.py:86: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.status.set_has_resize_grip(gtk.FALSE)
/usr/share/system-config-date/timezone_map_gui.py:88: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.pack_start(self.status, gtk.FALSE, gtk.FALSE)
/usr/share/system-config-date/timezone_map_gui.py:128: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.listView.set_property("headers-visible", gtk.FALSE)
/usr/share/system-config-date/timezone_map_gui.py:137: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  self.pack_start(sw, gtk.TRUE, gtk.TRUE)
/usr/share/system-config-date/timezone_map_gui.py:196: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.listView.set_cursor(path, col, gtk.FALSE)
/usr/share/system-config-date/timezone_map_gui.py:197: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  self.listView.scroll_to_cell(path, col, gtk.TRUE, 0.5, 0.5)
/usr/share/system-config-date/mainWindow.py:215: GtkDeprecationWarning: gtk.TRUE
is deprecated, use True instead
  self.win.set_property ("no_show_all", gtk.TRUE)
/usr/share/system-config-date/mainWindow.py:229: GtkDeprecationWarning: gtk.TRUE
is deprecated, use True instead
  self.nb.set_property ("no_show_all", gtk.TRUE)
/usr/share/system-config-date/date_gui.py:59: GtkDeprecationWarning:
gtk.timeout_add is deprecated, use gobject.timeout_add instead
  gtk.timeout_add(1000, self.clock.updateTime)
/usr/share/system-config-date/date_gui.py:122: GtkDeprecationWarning: gtk.FALSE
is deprecated, use False instead
  self.ntpSrvAddButton.set_sensitive (gtk.FALSE)
/usr/share/system-config-date/date_gui.py:125: GtkDeprecationWarning: gtk.FALSE
is deprecated, use False instead
  self.ntpSrvDelButton.set_sensitive (gtk.FALSE)
/usr/share/system-config-date/timezone_gui.py:59: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.utcCheck.set_active(gtk.FALSE)
/usr/share/system-config-date/mainWindow.py:271: GtkDeprecationWarning: gtk.TRUE
is deprecated, use True instead
  gtk.main ()


Version-Release number of selected component (if applicable):

1.7.15-3

How reproducible:

always

Steps to Reproduce:
1. start program at console
2.
3.
  
Actual results:

extraneous warnings

Expected results:

no warnings

Additional info:

Most system-config-* have the same problems, I'm opening a bug for each.
Comment 1 Colin Charles 2005-04-01 00:18:08 EST
attached patch fixes all warnings.
Comment 2 Colin Charles 2005-04-01 00:19:13 EST
Created attachment 112568 [details]
patch to fix the warnings
Comment 3 Nils Philippsen 2005-04-01 04:57:44 EST
fixed in system-config-date-1.7.16, thanks for the patch!

Note You need to log in before you can comment on or make changes to this bug.